Subject: Re: Samba for Cygwin
From: "JJ Streicher-Bremer" <[email-masked]>
To: "Joshua Jensen" <[email-masked]>, "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 20 Aug 2001 14:39:48 -0700

----- Original Message -----
From: "Joshua Jensen" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, August 20, 2001 1:41 PM
Subject: Re: Samba for Cygwin

> On Mon, Aug 20, 2001 at 03:56:30PM -0400, Charles Wilson wrote:
> > Joshua Jensen wrote:
--- snip ---
> > That's like asking to port WINE to Cygwin (or port cygwin to WINE).
>
> That's just it... it ISN'T like your analogy at all.  WINE in Cygwin
> would allow native windows apps (assuming WINE works ;-) ) to run in
> Cygwin. Smbclient in Cygwin/Windows would provide something totally
> different that is NOT availible in Windows: a command line interface to
> SMB shares.  Samba *server* in Cygwin would allow something not
> availible in Windows, very fine-grained, text-based,
> intuitive-to-Unix-heads SMB-share configuration.

While WinNT does not have a true text file based export managment system, it
does have a quite robust command line interface for both exporting shares
and setting file system permissions.  The net.exe command has been able to
do everything I need as far as exporting filesystems, and the cacls.exe
(native command) or xcacls.exe (resource kit command) can manage filesystem
permissions completely.  This has worked for my 20 or so NT systems spread
around the world.  I will say that I souldn't have done it without the
cygnus ssh daemon and bash shell.

I'm not trying to convice anyone of anything, just providing options.

Thanks
JJ Streicher-Bremer

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/